Page MenuHomePhabricator

[Story] Ordering of statement groups for ArticlePlaceholder
Closed, ResolvedPublic

Description

There should be a way to order the statement groups on the article placeholders. It should be in the statementListRenderer in the Lua module. But we'll need to figure out a way of ordering the statement groups first. (see dependencies of this ticket)

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterAdd ordering of statement groups

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
Resolvedhoo
Resolvedthiemowmde
DeclinedNone
ResolvedAddshore
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedcsteipp
ResolvedJanZerebecki
DuplicateNone
Resolvedhoo
ResolvedNone
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo

Event Timeline

Lucie created this task.Nov 4 2015, 11:51 AM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added subscribers: Lucie, hoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2015, 11:51 AM
Lucie set Security to None.
Lucie moved this task from Incoming to Doing on the ArticlePlaceholder board.Dec 9 2015, 2:57 PM
jeblad added a subscriber: jeblad.EditedMar 26 2016, 3:44 PM

Note that correct grouping and sorting is dependent on type of subject, and that type of subject can even trigger other second order grouping and sorting.

An example is "position held (Property 39)" which may be central for description of a politician, but not important for a some sports atletic.

If the list of statements should be filtered down (a lot of people at nowiki think it should - I'm still not sure) then grouping, sorting, and filtering will depend on each other.

Lydia_Pintscher renamed this task from [Story] Sorting of statement groups for ArticlePlaceholder to [Story] Ordering of statement groups for ArticlePlaceholder.Apr 21 2016, 11:49 AM
Lydia_Pintscher updated the task description. (Show Details)

Change 287988 had a related patch set uploaded (by Lucie Kaffee):
Add ordering of statement groups

https://gerrit.wikimedia.org/r/287988

Lucie moved this task from Doing to Review on the ArticlePlaceholder board.May 11 2016, 4:22 PM

Change 287988 merged by jenkins-bot:
Add ordering of statement groups

https://gerrit.wikimedia.org/r/287988

Lucie closed this task as Resolved.May 11 2016, 5:06 PM
Lucie moved this task from Review to Done on the ArticlePlaceholder board.